<?php
/**
 * Add these flaticons to megamenu
 */
if(!class_exists("Mascot_Menuiconpicker_Add_Flaticon_to_Megamenu")) {
    class Mascot_Menuiconpicker_Add_Flaticon_to_Megamenu {
        public function __construct($data = [], $args = null) {
            add_filter("mascot_mega_menu/get_icons", array($this, 'icon_list'));
            add_action( 'wp_enqueue_scripts', array($this, 'add_flaticon_style'));
            add_action( 'admin_enqueue_scripts', array($this, 'add_flaticon_style'));
        }

        public function icon_list($icons){
            $custom_icons = [
                'Flaticon Pack' => array(
                    array("flaticon-organic-almonds" => "flaticon-organic-almonds"),
                    array("flaticon-organic-carrot" => "flaticon-organic-carrot"),
                    array("flaticon-organic-cherry" => "flaticon-organic-cherry"),
                    array("flaticon-organic-fish" => "flaticon-organic-fish"),
                    array("flaticon-organic-leaf1" => "flaticon-organic-leaf1"),
                    array("flaticon-organic-lettuce" => "flaticon-organic-lettuce"),
                    array("flaticon-organic-organic" => "flaticon-organic-organic"),
                    array("flaticon-organic-paper-bags" => "flaticon-organic-paper-bags"),
                    array("flaticon-organic-shop-leaf" => "flaticon-organic-shop-leaf"),
                    array("flaticon-organic-sprout" => "flaticon-organic-sprout"),
                    array("flaticon-organic-017-cardboard" => "flaticon-organic-017-cardboard"),
                    array("flaticon-organic-018-carrot" => "flaticon-organic-018-carrot"),
                    array("flaticon-organic-023-leaf" => "flaticon-organic-023-leaf"),
                    array("flaticon-organic-026-leaf-1" => "flaticon-organic-026-leaf-1"),
                    array("flaticon-organic-030-cherry" => "flaticon-organic-030-cherry"),
                    array("flaticon-organic-031-broccoli" => "flaticon-organic-031-broccoli"),
                    array("flaticon-organic-032-fish" => "flaticon-organic-032-fish"),
                    array("flaticon-organic-033-chicken-leg" => "flaticon-organic-033-chicken-leg"),
                    array("flaticon-organic-034-orange-juice" => "flaticon-organic-034-orange-juice"),
                    array("flaticon-organic-036-dairy-products" => "flaticon-organic-036-dairy-products"),
                    array("flaticon-organic-037-coconut" => "flaticon-organic-037-coconut"),
                    array("flaticon-organic-039-bread" => "flaticon-organic-039-bread"),
                    array("flaticon-organic-041-leaf-2" => "flaticon-organic-041-leaf-2"),
                    array("flaticon-organic-061-fruits" => "flaticon-organic-061-fruits"),
                    array("flaticon-organic-069-bread-1" => "flaticon-organic-069-bread-1"),
                    array("flaticon-organic-072-milk-box" => "flaticon-organic-072-milk-box"),
                    array("flaticon-organic-073-chicken-leg-1" => "flaticon-organic-073-chicken-leg-1"),
                    array("flaticon-organic-074-eggs" => "flaticon-organic-074-eggs"),
                    array("flaticon-organic-075-salad" => "flaticon-organic-075-salad"),
                    array("flaticon-organic-076-broccoli-1" => "flaticon-organic-076-broccoli-1"),
                    array("flaticon-organic-077-vegetable" => "flaticon-organic-077-vegetable"),
                    array("flaticon-organic-081-onion" => "flaticon-organic-081-onion"),
                    array("flaticon-organic-096-chicken-leg-2" => "flaticon-organic-096-chicken-leg-2"),
                    array("flaticon-organic-098-broccoli-2" => "flaticon-organic-098-broccoli-2"),
                    array("flaticon-organic-107-green-tea" => "flaticon-organic-107-green-tea"),
                    array("flaticon-organic-041-leaf-2-1" => "flaticon-organic-041-leaf-2-1"),
                    array("flaticon-organic-069-bread-1-1" => "flaticon-organic-069-bread-1-1"),
                    array("flaticon-organic-072-milk-box-1" => "flaticon-organic-072-milk-box-1"),
                    array("flaticon-organic-073-chicken-leg-1-1" => "flaticon-organic-073-chicken-leg-1-1"),
                    array("flaticon-organic-076-broccoli-1-1" => "flaticon-organic-076-broccoli-1-1")
                ),
            ];
            $icons = array_merge($custom_icons, $icons);
            return $icons;
        }
        function add_flaticon_style() {
            wp_enqueue_style( 'flaticon-set-visa', MASCOT_CORE_IMMIGRO_URL_PATH . 'assets/flaticon-set-visa/style.css' );
        }
    }
    new Mascot_Menuiconpicker_Add_Flaticon_to_Megamenu();
}