(function($) {
    'use strict';

    var WidgetServiceBlockTextToggleHandler = function ($scope) {
        // Service Block Text Toggle
        if ($('.service-item-current-style2').length) {
            $('.service-item-current-style2 .inner-box').on('mouseenter', function (e) {
                e.preventDefault();
                $(this).find('.service-details').slideDown(300);
            });
            $('.service-item-current-style2 .inner-box').on('mouseleave', function (e) {
                e.preventDefault();
                $(this).find('.service-details').slideUp(300);
            });
        }
    };

    //elementor front start
    $(window).on("elementor/frontend/init", function () {
        elementorFrontend.hooks.addAction(
            "frontend/element_ready/tm-ele-cpt-services.skin-style-current-theme2",
            WidgetServiceBlockTextToggleHandler
        );
    });


})(jQuery);